<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.wall.photography.picture.activity.Wallpaper">


    <ImageView
        android:id="@+id/imageview_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop" />


    <ImageView
        android:id="@+id/imageview_back"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_gravity="center"
        android:layout_marginStart="15dp"
        android:layout_marginTop="42dp"
        android:background="@drawable/shape_oval_solid"
        android:padding="13dp"
        android:src="@drawable/image_black_back"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <com.wall.photography.picture.tool.CustomTextView
        android:id="@+id/tv_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="40dp"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        android:background="@drawable/shape_rect_solid_radius_16"
        android:gravity="center"
        android:minHeight="40dp"
        android:padding="10dp"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="13sp"
        app:apply_font="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <RelativeLayout
        android:id="@+id/layout_set"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="15dp"
        android:background="@drawable/shape_oval_solid"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintBottom_toTopOf="@id/tv_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent">

        <ImageView
            android:id="@+id/button_set"
            android:layout_width="46dp"
            android:layout_height="46dp"

            android:layout_centerInParent="true"
            android:padding="13dp"
            android:src="@drawable/image_wallpaper" />

        <ProgressBar
            android:id="@+id/pb_set"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerInParent="true"
            android:indeterminateTint="@color/white"
            android:padding="13dp"
            android:visibility="gone" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_download"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="26dp"
        android:background="@drawable/shape_oval_solid"
        app:layout_constraintBottom_toBottomOf="@id/layout_set"
        app:layout_constraintRight_toLeftOf="@id/layout_set"
        app:layout_constraintTop_toTopOf="@id/layout_set">

        <ImageView
            android:id="@+id/image_download"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerInParent="true"
            android:padding="13dp"
            android:src="@drawable/ic_download_arrow_white" />

        <ProgressBar
            android:id="@+id/pb_download"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerInParent="true"
            android:indeterminateTint="@color/white"
            android:padding="13dp"
            android:visibility="gone" />
    </RelativeLayout>


    <ImageView
        android:id="@+id/image_favorite"
        android:layout_width="46dp"
        android:layout_height="46dp"
        android:layout_alignParentEnd="true"
        android:layout_centerInParent="true"
        android:layout_marginStart="26dp"
        android:background="@drawable/shape_oval_solid"
        android:padding="13dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:src="@drawable/selector_favorite"
        app:layout_constraintBottom_toBottomOf="@id/layout_set"
        app:layout_constraintLeft_toRightOf="@id/layout_set"
        app:layout_constraintTop_toTopOf="@id/layout_set" />


</androidx.constraintlayout.widget.ConstraintLayout>